Package org.flowable.cmmn.model

# Class RepetitionRule

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemRule
org.flowable.cmmn.model.RepetitionRule

All Implemented Interfaces:
  `HasExtensionAttributes`

public class RepetitionRule extends PlanItemRule

Author:
  Joram Barrez, Micha Kiener, Filip Hrisafov

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected VariableAggregationDefinitions`
  `aggregations`
  `protected String`
  `collectionVariableName`
  `static final String`
  `DEFAULT_REPETITION_COUNTER_VARIABLE_NAME`
  `protected String`
  `elementIndexVariableName`
  `protected String`
  `elementVariableName`
  `protected boolean`
  `ignoreRepetitionCounterVariable`
  `static final Integer`
  `MAX_INSTANCE_COUNT_UNLIMITED`
  `static final String`
  `MAX_INSTANCE_COUNT_UNLIMITED_VALUE`
  `protected Integer`
  `maxInstanceCount`
  `protected String`
  `repetitionCounterVariableName`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemRule

  `condition`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepetitionRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAggregation(VariableAggregationDefinition aggregation)`
  `VariableAggregationDefinitions`
  `getAggregations()`
  `String`
  `getCollectionVariableName()`
  `String`
  `getElementIndexVariableName()`
  `String`
  `getElementVariableName()`
  `Integer`
  `getMaxInstanceCount()`
  `String`
  `getRepetitionCounterVariableName()`
  `boolean`
  `hasCollectionVariable()`
  `boolean`
  `hasElementIndexVariable()`
  `boolean`
  `hasElementVariable()`
  `boolean`
  `hasLimitedInstanceCount()`
  `boolean`
  `isIgnoreRepetitionCounterVariable()`
  `void`
  `setAggregations(VariableAggregationDefinitions aggregations)`
  `void`
  `setCollectionVariableName(String collectionVariableName)`
  `void`
  `setElementIndexVariableName(String elementIndexVariableName)`
  `void`
  `setElementVariableName(String elementVariableName)`
  `void`
  `setIgnoreRepetitionCounterVariable(boolean ignoreRepetitionCounterVariable)`
  `void`
  `setMaxInstanceCount(Integer maxInstanceCount)`
  `void`
  `setRepetitionCounterVariableName(String repetitionCounterVariableName)`
  `String`
  `toString()`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemRule

  `getCondition, setCondition`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MAX_INSTANCE_COUNT_UNLIMITED_VALUE

    public static final String MAX_INSTANCE_COUNT_UNLIMITED_VALUE
    See Also:
      - Constant Field Values

  - ### MAX_INSTANCE_COUNT_UNLIMITED

    public static final Integer MAX_INSTANCE_COUNT_UNLIMITED

  - ### DEFAULT_REPETITION_COUNTER_VARIABLE_NAME

    public static final String DEFAULT_REPETITION_COUNTER_VARIABLE_NAME
    See Also:
      - Constant Field Values

  - ### repetitionCounterVariableName

    protected String repetitionCounterVariableName

  - ### ignoreRepetitionCounterVariable

    protected boolean ignoreRepetitionCounterVariable

  - ### collectionVariableName

    protected String collectionVariableName

  - ### elementVariableName

    protected String elementVariableName

  - ### elementIndexVariableName

    protected String elementIndexVariableName

  - ### maxInstanceCount

    protected Integer maxInstanceCount

  - ### aggregations

    protected VariableAggregationDefinitions aggregations

- ## Constructor Details

  - ### RepetitionRule

    public RepetitionRule()

- ## Method Details

  - ### getRepetitionCounterVariableName

    public String getRepetitionCounterVariableName()

  - ### setRepetitionCounterVariableName

    public void setRepetitionCounterVariableName(String repetitionCounterVariableName)

  - ### isIgnoreRepetitionCounterVariable

    public boolean isIgnoreRepetitionCounterVariable()

  - ### setIgnoreRepetitionCounterVariable

    public void setIgnoreRepetitionCounterVariable(boolean ignoreRepetitionCounterVariable)

  - ### getCollectionVariableName

    public String getCollectionVariableName()

  - ### hasCollectionVariable

    public boolean hasCollectionVariable()

  - ### setCollectionVariableName

    public void setCollectionVariableName(String collectionVariableName)

  - ### getElementVariableName

    public String getElementVariableName()

  - ### hasElementVariable

    public boolean hasElementVariable()

  - ### setElementVariableName

    public void setElementVariableName(String elementVariableName)

  - ### getElementIndexVariableName

    public String getElementIndexVariableName()

  - ### hasElementIndexVariable

    public boolean hasElementIndexVariable()

  - ### setElementIndexVariableName

    public void setElementIndexVariableName(String elementIndexVariableName)

  - ### hasLimitedInstanceCount

    public boolean hasLimitedInstanceCount()

  - ### getMaxInstanceCount

    public Integer getMaxInstanceCount()

  - ### setMaxInstanceCount

    public void setMaxInstanceCount(Integer maxInstanceCount)

  - ### getAggregations

    public VariableAggregationDefinitions getAggregations()

  - ### setAggregations

    public void setAggregations(VariableAggregationDefinitions aggregations)

  - ### addAggregation

    public void addAggregation(VariableAggregationDefinition aggregation)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PlanItemRule`